Nagios Bug and Feature Tracker

All issues moved to NagiosEnterprises Github

Bug and Feature Tracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000628 [Nagios Core] Web Interface text always 2014-07-18 11:06 2016-09-07 16:14
Reporter bfg View Status public  
Assigned To jfrickson
Priority normal Resolution fixed  
Status resolved   Product Version 3.5.1
Summary 0000628: extinfo.cgi does not set content-type
Description The header Content-Type is not set by default for extinfo.cgi http headers.
This leads to bad character encoding.

There is an easy workaround for Apache, adding the directive "AddDefaultCharset <encoding>"

IMHO, it would be better to have this configurable in cgi.cfg
Additional Information To reproduce.

1. Add a contact with a non ASCII name.
2. Schedule downtime for a host in the webinterface, add a comment with non ASCII characters as well.
3. Watch output in webinterface.
4. Watch output in log.
Tags No tags attached.
Nagios Version 3.5.1
OS Linux 3.13.0
OS Version Ubuntu 14.04 LTS
Attached Files

- Relationships

-  Notes
(0001654)
jfrickson (manager)
2016-09-07 16:14

Currently fixed in branch 'maint' via commit https://github.com/NagiosEnterprises/nagioscore/commit/b2c1ae082d1482550467cb5cea67da51fe55dff1. [^]

All the CGI's have a 'content-type' header, but only the json CGI's included the 'charset' parameter on that header. Added 'charset=utf-8'. If a charset other than utf-8 or latin-1 is used in nagios configuration, there will still be problems. Just make sure to always use utf-8 encoding if any non-latin-1 characters need to be used.

- Issue History
Date Modified Username Field Change
2014-07-18 11:06 bfg New Issue
2014-07-18 11:06 bfg Nagios Version => 3.5.1
2014-07-18 11:06 bfg OS => Linux 3.13.0
2014-07-18 11:06 bfg OS Version => Ubuntu 14.04 LTS
2015-09-25 12:21 jfrickson Status new => assigned
2015-09-25 12:21 jfrickson Assigned To => nagios_staff
2016-09-07 16:10 jfrickson Assigned To nagios_staff => jfrickson
2016-09-07 16:14 jfrickson Note Added: 0001654
2016-09-07 16:14 jfrickson Status assigned => resolved
2016-09-07 16:14 jfrickson Fixed in Version => 4.2.2
2016-09-07 16:14 jfrickson Resolution open => fixed


Mantis 1.1.7[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker